Bug 114673 - pkill sends multiple signals to threaded applications
Summary: pkill sends multiple signals to threaded applications
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procps (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-30 22:50 UTC by Ken Snider
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 14:23:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Snider 2004-01-30 22:50:27 UTC
Description of problem:

When making use of a threaded application, using pkill on it will
occasionally result in multiple signals being seen by the signal handler.

pkill -P 1 eliminates the issue.

Also, using procps 3.0.15 gives the correct behaviour.

Is procps, as shipped with RHEL, *not* NPTL-aware??

Version-Release number of selected component (if applicable):

procps-2.0.13-9.2E

Comment 1 Daniel Walsh 2004-02-11 14:23:21 UTC
Fixed in 3.1.15


Note You need to log in before you can comment on or make changes to this bug.